Bug 1839052 - Review Request: plasma-wayland-protocols - Plasma Specific Protocols for Wayland
Summary: Review Request: plasma-wayland-protocols - Plasma Specific Protocols for Wayland
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-22 12:04 UTC by Martin Kyral
Modified: 2021-02-23 15:26 UTC (History)
4 users (show)

Fixed In Version: plasma-wayland-protocols-1.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-23 15:26:22 UTC
Type: ---
jgrulich: fedora-review+


Attachments (Terms of Use)

Comment 1 Jan Grulich 2020-05-22 12:56:40 UTC
1) License should be LGPLv2+ and MIT and BSD
2) It doesn't need qt5-qtbase-devel, because it contains only xml files 
3) I also think that the commented part about bootstrap and tests can be removed, together with -DBUILD_TESTING cmake option

Comment 2 Martin Kyral 2020-05-22 13:54:52 UTC
> 2) It doesn't need qt5-qtbase-devel, because it contains only xml files

actually, it does:

CMake Error at /usr/share/ECM/modules/ECMQueryQmake.cmake:30 (message):
  No qmake Qt5 binary found.  Can't check QT_INSTALL_PLUGINS as required
Call Stack (most recent call first):
  /usr/share/ECM/kde-modules/KDEInstallDirs.cmake:489 (query_qmake)
  CMakeLists.txt:13 (include)

Comment 4 Jan Grulich 2020-05-25 05:30:15 UTC
1) License ok
2) Naming ok
3) Scriptlets ok - not needed
4) Rpmlint ok

Looks good now.

Comment 5 Igor Raits 2020-05-26 05:15:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/plasma-wayland-protocols

Comment 6 Martin Kyral 2020-05-26 08:01:50 UTC
Build succesfull:

https://koji.fedoraproject.org/koji/taskinfo?taskID=44991692

Comment 7 Rex Dieter 2021-02-23 15:26:22 UTC
closing, imported long ago


Note You need to log in before you can comment on or make changes to this bug.